Status: Resolved Priority: Should have
Author: Alexander Berl Category:
Created: 2012-08-07 Assigned To: Alexander Berl
Updated: 2012-08-07 Due date:
Subject: Eel Parser RegEx should support quoted strings containing curly brackets
Description

Currently, the eel parser regex doesn't recognize expressions like the following as valid:
"some {$context->unwrap()} string with 'quoted stuff'"

This is because the regex /^\${([^}]*)}$/ stops on the first occurence of a closing curly bracket "}".

Related issues:
related to TYPO3.Fluid - Feature # 33394: Logical expression parser for Boole... Needs Feedback2012-01-23

Associated revisions
Revision ad12e9aa - 2012-08-07 00:57 - Alexander Berl

[FEATURE] Support quoted strings containing curly brackets in Eel expressions

This enhances the Eel parser regexp to support quoted strings containing curly brackets.

Change-Id: I1bd9e3d92f4bb560ed2e3cbea34de8baecf101cd
Resolves: #39564

History
#1 - 2012-08-07 00:58 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13487

#2 - 2012-08-07 12:45 - Sebastian Kurfuerst
- Status changed from New to Resolved
- Assigned To set to Alexander Berl

thanks Alexander for working on this :)
